Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Class QDocumentType

    java.lang.Object
      |
      +--com.caucho.xml.QAbstractNode
            |
            +--com.caucho.xml.QNode
                  |
                  +--com.caucho.xml.QDocumentType

All Implemented Interfaces:
  CauchoNode, DocumentType, Node, NodeList

public class QDocumentType
extends QNode
implements DocumentType

Fields inherited from class com.caucho.xml.QAbstractNode
`L`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`QDocumentType(java.lang.String name)` Create a new document type.

Method Summary
`com.caucho.xml.QElementDef` | `getElement(java.lang.String name)`
`java.lang.String` | `getElementId(java.lang.String element)`
`java.util.Iterator` | `getElementIdNames()`
`NamedNodeMap` | `getEntities()` A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
`java.lang.String` | `getInternalSubset()` The internal subset as a string, or `null` if there is none.
`java.lang.String` | `getName()` The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
`java.lang.String` | `getNodeName()` The name of this node, depending on its type; see the table above.
`short` | `getNodeType()` A code representing the type of the underlying object, as defined above.
`NamedNodeMap` | `getNotations()` A `NamedNodeMap` containing the notations declared in the DTD.
`java.lang.String` | `getPublicId()` The public identifier of the external subset.
`java.lang.String` | `getSystemId()` The system identifier of the external subset.
`java.lang.String` | `getTagName()`
`void` | `setName(java.lang.String name)`

Methods inherited from class com.caucho.xml.QNode
`appendChild, checkValid, equals, equals, getAttributes, getChildNodes, getFirstChild, getLastChild, getLength, getNextPreorder, getNextSibling, getNodeValue, getPreviousSibling, hasChildNodes, insertBefore, item, normalize, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.caucho.xml.QAbstractNode
`cloneNode, getCanonicalName, getColumn, getFilename, getLine, getLocalName, getNamespaceURI, getNextContent, getOwnerDocument, getParentNode, getPrefix, getPreviousContent, getTextValue, hasAttributes, hasContent, isSupported, print, printHtml, printPretty, setLocation, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### QDocumentType

    public QDocumentType(java.lang.String name)

  Create a new document type.

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Description copied from interface: `Node`
  The name of this node, depending on its type; see the table above.
  Specified by:
    `getNodeName` in interface `Node`

### getTagName

    public java.lang.String getTagName()

### getNodeType

    public short getNodeType()

  Description copied from interface: `Node`
  A code representing the type of the underlying object, as defined above.
  Specified by:
    `getNodeType` in interface `Node`

### getName

    public java.lang.String getName()

  Description copied from interface: `DocumentType`
  The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
  Specified by:
    `getName` in interface `DocumentType`

### setName

    public void setName(java.lang.String name)

### getEntities

    public NamedNodeMap getEntities()

  Description copied from interface: `DocumentType`
  A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD. Parameter entities are not contained. Duplicates are discarded. For example in:

      <!DOCTYPE
       ex SYSTEM "ex.dtd" [ <!ENTITY foo "foo"> <!ENTITY bar
       "bar"> <!ENTITY bar "bar2"> <!ENTITY % baz "baz">
       ]> <ex/>

  the interface provides access to `foo` and the first declaration of `bar` but not the second declaration of `bar` or `baz`. Every node in this map also implements the `Entity` interface.
  The DOM Level 2 does not support editing entities, therefore `entities` cannot be altered in any way.
  Specified by:
    `getEntities` in interface `DocumentType`

### getNotations

    public NamedNodeMap getNotations()

  Description copied from interface: `DocumentType`
  A `NamedNodeMap` containing the notations declared in the DTD. Duplicates are discarded. Every node in this map also implements the `Notation` interface.
  The DOM Level 2 does not support editing notations, therefore `notations` cannot be altered in any way.
  Specified by:
    `getNotations` in interface `DocumentType`

### getElementId

    public java.lang.String getElementId(java.lang.String element)

### getElementIdNames

    public java.util.Iterator getElementIdNames()

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `DocumentType`
  The system identifier of the external subset.
  Specified by:
    `getSystemId` in interface `DocumentType`

### getPublicId

    public java.lang.String getPublicId()

  Description copied from interface: `DocumentType`
  The public identifier of the external subset.
  Specified by:
    `getPublicId` in interface `DocumentType`

### getInternalSubset

    public java.lang.String getInternalSubset()

  Description copied from interface: `DocumentType`
  The internal subset as a string, or `null` if there is none. This is does not contain the delimiting square brackets.The actual content returned depends on how much information is available to the implementation. This may vary depending on various parameters, including the XML processor used to build the document.
  Specified by:
    `getInternalSubset` in interface `DocumentType`

### getElement

    public com.caucho.xml.QElementDef getElement(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD